<?php

namespace App\Http\Controllers;

use App\Http\Requests\StoreCarRequest;
use App\Http\Requests\UpdateCarRequest;
use App\Models\Car;
use Illuminate\Support\Facades\Redirect;
use Illuminate\Http\RedirectResponse;
use Illuminate\Support\Facades\DB;

class CarController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        //echo 'Caring...';
    }

    public function allcars($class = null){

      //  dd($class);

        if(isset($class)){
            $cars = Car::with('images')
            ->where('category','=',$class)
            ->orderBy('created_at','desc')
            ->get(); 
        }else{
            $cars = Car::with('images')->orderBy('created_at','desc')->get();
        }

        
        //dd($cars);

        return view('cars.listcars',compact('cars'));
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {
       // $list = new ListDtl;
       // $list = new ListHdr();
       // $category = $list->categories;

        // $trans = ListHdr::where('code','=','TRANS')->with('options')->get();

         $transmit = DB::table('list_hdrs')
         ->join('list_dtls','list_hdrs.id','=','list_dtls.list_hdr_id')
         ->where('code','=','TRANS')
         ->select('list_dtls.id','list_dtls.value')->get();

         $class = DB::table('list_hdrs')
         ->join('list_dtls','list_hdrs.id','=','list_dtls.list_hdr_id')
         ->where('code','=','VEHICLE')
         ->select('list_dtls.id','list_dtls.value')
         ->orderBy('value')
         ->get();

         $promo = DB::table('list_hdrs')
         ->join('list_dtls','list_hdrs.id','=','list_dtls.list_hdr_id')
         ->where('list_hdrs.code','=','PROMO')
         ->orderBy('value')
         ->get();

        return view('cars.create',compact('transmit','class','promo'));
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(StoreCarRequest $request) : RedirectResponse
    {
      
        $car =  Car::create( $request->validated());

        return Redirect::route('cars.show', $car)->with('success','Car added successfully!');
    }

    /**
     * Display the specified resource.
     */
    public function show(Car $car)
    {
        return view('cars.show',compact('car'));
    }

    public function details(Car $car){

        //$car = $car->images;
       // dd($car);
       return view('cars.details',compact('car'));
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(Car $car)
    {
        return view('cars.edit',compact('car'));
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(UpdateCarRequest $request, Car $car)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Car $car)
    {
        //
    }
}
