<?php

namespace App\Http\Controllers;

use App\Http\Requests\StoreTourRequest;
use App\Http\Requests\UpdateTourRequest;
use App\Models\Tour;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Redirect;

class TourController extends Controller
{
    /**
     * Display a listing of the resource.
     */
    public function index()
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     */
    public function create()
    {

        $categories = DB::table('list_hdrs')
        ->join('list_dtls','list_hdrs.id','=','list_dtls.list_hdr_id')
        ->where('code','=','TOUR')
        ->select('list_dtls.id','list_dtls.value')->get();

        return view('tours.create',compact('categories'));
    }

    /**
     * Store a newly created resource in storage.
     */
    public function store(StoreTourRequest $request)
    {
        $tour = Tour::create($request->validated());

        return Redirect::route('tours.show', $tour)->with('success','Tour added successfully!');
    }

    /**
     * Display the specified resource.
     */
    public function show(Tour $tour)
    {
    return view('tours.show', compact('tour'));
    }

    /**
     * Show the form for editing the specified resource.
     */
    public function edit(Tour $tour)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     */
    public function update(UpdateTourRequest $request, Tour $tour)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     */
    public function destroy(Tour $tour)
    {
        //
    }
}
