<section>
    <header>
        <h2 class="text-lg font-medium text-gray-900 dark:text-gray-100">
            {{ __('Business Information') }}
        </h2>

        <p class="mt-1 text-sm text-gray-600 dark:text-gray-400">
            {{ __("Update your account's profile information and email address.") }}
        </p>
    </header>

    <form method="post" action="{{ route('business.update',$business) }}" class="mt-6 space-y-6">
        @csrf
        @method('patch')

        <div>
            <x-input-label for="name" :value="__('Business Name')" />
            <x-text-input id="name" name="name" type="text" class="mt-1 block w-full" :value="old('name', $business->name)" required autofocus autocomplete="name" />
            <x-input-error class="mt-2" :messages="$errors->get('name')" />
        </div>

        <div>
            <x-input-label for="slogan" :value="__('Slogan')" />
            <x-text-input id="slogan" name="slogan" type="text" class="mt-1 block w-full" :value="old('slogan', $business->slogan)" required autofocus autocomplete="slogan" />
            <x-input-error class="mt-2" :messages="$errors->get('slogan')" />
        </div>


        <div>
            <x-input-label for="summary" :value="__('Summary')" />
            <x-text-input id="summary" name="summary" type="text" class="mt-1 block w-full" :value="old('summary', $business->summary)" required autofocus autocomplete="summary" />
            <x-input-error class="mt-2" :messages="$errors->get('summary')" />
        </div>

        <div>
            <x-input-label for="logo" :value="__('Logo')" />
            <x-input-file id="logo" name="logo" class="mt-1 block w-full" />
            <x-input-error class="mt-2" :messages="$errors->get('logo')" />
        </div>

        <div class="flex items-center gap-4">
            <x-primary-button>{{ __('Save') }}</x-primary-button>

            @if (session('status') === 'profile-updated')
                <p
                    x-data="{ show: true }"
                    x-show="show"
                    x-transition
                    x-init="setTimeout(() => show = false, 2000)"
                    class="text-sm text-gray-600 dark:text-gray-400"
                >{{ __('Saved.') }}</p>
            @endif
        </div>
    </form>
</section>
