<section>
    <header>
        <h2 class="text-lg font-medium text-gray-900 dark:text-gray-100">
            {{ __('Social Media') }}
        </h2>

        <p class="mt-1 text-sm text-gray-600 dark:text-gray-400">
            {{ __("Update your account's profile information and email address.") }}
        </p>
    </header>

    <form method="post" action="{{ route('business.update',$business) }}" class="mt-6 space-y-6">
        @csrf
        @method('patch')

        <div>
            <x-input-label for="url_fb" :value="__('Facebook Url')" />
            <x-text-input id="url_fb" name="url_fb" type="url" class="mt-1 block w-full" :value="old('url_fb', $business->url_fb)" required autofocus autocomplete="url_fb" />
            <x-input-error class="mt-2" :messages="$errors->get('url_fb')" />
        </div>

        <div>
            <x-input-label for="url_ig" :value="__('Instagram Url')" />
            <x-text-input id="url_ig" name="url_ig" type="url" class="mt-1 block w-full" :value="old('url_ig', $business->url_ig)" required autofocus autocomplete="url_ig" />
            <x-input-error class="mt-2" :messages="$errors->get('url_ig')" />
        </div>


        <div class="flex items-center gap-4">
            <x-primary-button>{{ __('Save') }}</x-primary-button>

            @if (session('status') === 'profile-updated')
                <p
                    x-data="{ show: true }"
                    x-show="show"
                    x-transition
                    x-init="setTimeout(() => show = false, 2000)"
                    class="text-sm text-gray-600 dark:text-gray-400"
                >{{ __('Saved.') }}</p>
            @endif
        </div>
    </form>
</section>
