<!DOCTYPE html>
<html lang="zxx">
<head>
  <title>{{$business->name }}</title>
  <meta charset="UTF-8">
  <link rel="shortcut icon" href="img/logos/chilela_logo.png"/>
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

  <!-- Bootstrap CSS-->
  <link rel="stylesheet" type="text/css" href="{{ asset('css/bootstrap.min.css') }}">

  <!-- Font-Awesome -->
  <link rel="stylesheet" type="text/css" href="{{ asset('css/font-awesome.css') }}">

  <!-- Icomoon -->
  <link rel="stylesheet" type="text/css" href="{{ asset('css/icomoon.css') }}">

  <!-- Slider -->
  <link rel="stylesheet" type="text/css" href="{{ asset('css/swiper.min.css') }}">
  <link rel="stylesheet" type="text/css" href="{{ asset('css/slider.css') }}">

  <!-- Animate.css -->
  <link rel="stylesheet" href="{{ asset('css/animate.css') }}">


  <!-- Slick  DTL-->
  <link rel="stylesheet" href="{{ asset('css/slick.css') }}">


  <!-- Color Switcher -->
  <link rel="stylesheet" type="text/css" href="{{ asset('css/switcher.css') }}">

  <!-- Owl Carousel  -->
  <link rel="stylesheet" href="{{ asset('css/owl.carousel.css') }}">

  <!-- Main Styles -->
  <link rel="stylesheet" type="text/css" href="{{ asset('css/default.css') }}">
  <link rel="stylesheet" type="text/css" href="{{ asset('css/styles.css') }}" id="colors">

  <!-- Fonts Google -->
  <link href="https://fonts.googleapis.com/css?family=Fira+Sans:100,200,300,400,500,600,700,800,900" rel="stylesheet">

</head>
<body>

<x-preloader></x-preloader>
<x-top-bar :business='$business'></x-top-bar>
<x-navbar></x-navbar>
{{$slot}}
<!-- Footer START -->
<footer>
  <div class="container">
    <div class="row">
      <!-- Column 1 Start -->
      <div class="col-md-4 col-sm-6 col-12">
        <h3>About Us</h3>
        <div class="mt-25">
          <img src="{{ asset('img/logos/chilela_logo2.png')}}" alt="footer-logo" class="rounded-border">
          <p class="mt-25">{{$business->summary}}</p>

            <div class="top-bar-info">
          <ul>
            <li><a href="tel:{{$business->tel}}" class="text-white"><i class="fa fa-phone"></i>{{$business->tel}}</a>
            <li>
            <li><a href="mailto:{{$business->email}}" class="text-white"><i class="fa fa-envelope"></i>{{$business->email}}</a>
            <li>
          </ul>
        </div>

          <div class="footer-social-icons mt-25">
            <ul>
              <li><a href="{{$business->url_fb}}" target="_blank"><i class="fa fa-facebook-square"></i></a></li>
              <li><a href="{{$business->url_ig}}" target="_blank"><i class="fa fa-instagram"></i></a></li>
              <!--<li><a href="#"><i class="fa fa-pinterest"></i></a></li>
              <li><a href="#"><i class="fa fa-skype"></i></a></li>
              <li><a href="#"><i class="fa fa-youtube"></i></a></li>-->
            </ul>
          </div>
        </div>
      </div>
      <!-- Column 1 End -->

      <!-- Column 2 Start -->
      <div class="col-md-3 col-sm-6 col-12">

      <h3 class="mb-10">Experiences</h3>

      <video width="200px" height="200px" controls="controls">
        <source src="./img/vid.mp4" type="video/mp4" poster="./img/safari.jpg" />
       </video>

        <!-- Modal End -->
        <!-- Video Box END -->
      </div>
      <!-- Column 2 End -->

      <!-- Column 3 Start -->
      <div class="col-md-3 col-sm-6 col-12">
        

        <video  class="mt-50" width="200px" height="200px" controls="controls">
        <source src="./img/vid.mp4" type="video/mp4" poster="./img/safari.jpg" />
       </video>


     
        <!-- Modal End -->
        <!-- Video Box END -->
        </div>
   
      <!-- Column 3 End -->

      <!-- Column 4 Start -->
      <div class="col-md-2 col-sm-6 col-12">
      <video class="mt-50" width="200px" height="200px" controls="controls">
        <source src="./img/vid.mp4" type="video/mp4" poster="./img/safari.jpg" />
       </video>

        <!-- Modal End -->
        <!-- Video Box END -->
      </div>

      <!-- Column 4 End -->
    

    <!-- Footer Bar Start -->
    <div class="footer-bar">
      <p><span class="primary-color1 text-white">{{$business->name}}</span> © 2023. All Rights Reserved.</p>
    </div>
    <!-- Footer Bar End -->
  </div>
</footer>
<!-- Footer END -->

<!-- Scroll to top button Start -->
<a href="#" class="scroll-to-top"><i class="fa fa-angle-up" aria-hidden="true"></i></a>
<!-- Scroll to top button End -->


<!-- Jquery -->
<script src="{{ asset('js/jquery.min.js') }}"></script>

<!--Popper JS-->
<script src="{{ asset('js/popper.min.js') }}"></script>

<!-- Bootstrap JS-->
<script src="{{ asset('js/bootstrap.min.js') }}"></script>

<!-- Owl Carousel-->
<script src="{{ asset('js/owl.carousel.js') }}"></script>

<!-- Navbar JS -->
<script src="{{ asset('js/navigation.js') }}"></script>
<script src="{{ asset('js/navigation.fixed.js') }}"></script>

<!-- Wow JS -->
<script src="{{ asset('js/wow.min.js') }}"></script>

<!-- Countup -->
<script src="{{ asset('js/jquery.counterup.min.js') }}"></script>
<script src="{{ asset('js/waypoints.min.js') }}"></script>

<!-- Tabs -->
<script src="{{ asset('js/tabs.min.js') }}"></script>

<!-- Slick DTL-->
<script src="{{ asset('js/slick-plugin.js') }}"></script>
<script src="{{ asset('js/slick.js') }}"></script>


<!-- Yotube Video Player -->
<script src="{{ asset('js/jquery.mb.YTPlayer.min.js') }}"></script>

<!-- Swiper Slider -->
<script src="{{ asset('js/swiper.min.js') }}"></script>

<!-- Isotop -->
<script src="{{ asset('js/isotope.pkgd.min.js') }}"></script>

<!-- Modernizr -->
<script src="{{ asset('js/modernizr.js') }}"></script>

<!-- Switcher JS -->
<script src="{{ asset('js/switcher.js') }}"></script>

<!-- Google Map -->
<script src="{{ asset('js/map.js') }}"></script>

<!-- Main JS -->
<script src="{{ asset('js/main.js') }}"></script>



</body>
</html>