<section>
    <header>
        <h2 class="text-lg font-medium text-gray-900 dark:text-gray-100">
            {{ __('Car Details') }}
        </h2>

        <p class="mt-1 text-sm text-gray-600 dark:text-gray-400">
            {{ __("Update your account's profile information and email address.") }}
        </p>
    </header>

    <form method="post" action="{{ route('cars.update',$car) }}" class="mt-6 space-y-6">
        @csrf
        @method('PATCH')

        <div>
            <x-input-label for="make" :value="__('Make')" />
            <x-text-input id="make" name="make" type="text" class="mt-1 block w-full" :value="old('make',$car->make)" required autofocus autocomplete="make" />
            <x-input-error class="mt-2" :messages="$errors->get('make')" />
        </div>

        <div>
            <x-input-label for="year_model" :value="__('Year model')" />
            <x-text-input id="year_model" name="year_model" type="text" class="mt-1 block w-full" :value="old('year_model', '')" required autofocus autocomplete="year_model" />
            <x-input-error class="mt-2" :messages="$errors->get('year_model')" />
        </div>



        <div>
            <x-input-label for="transmission" :value="__('Transmision')" />
            <select name="transmission">
                <option value="">Select</option>
                <option>Automatic</option>
                <option>Manual</option>
            </select>
            <x-input-error class="mt-2" :messages="$errors->get('transmission')" />
        </div>


        <div>
            <x-input-label for="rate" :value="__('Rate per day')" />
            <x-text-input id="rate" name="rate" type="number" step="any" class="mt-1 block w-full" :value="old('rate', '')" required autofocus autocomplete="rate" />
            <x-input-error class="mt-2" :messages="$errors->get('rate')" />
        </div>

        <div>
            <x-input-label for="discount" :value="__('Is car on discount?')" />
            <select name="discount" id="discount">
                <option value="1">Yes</option>
                <option value="0">No</option>
            </select>
            <x-input-error class="mt-2" :messages="$errors->get('discount')" />
        </div>


        <div>
            <x-input-label for="category" :value="__('Category')" />
            <select name="category" id="category">
            <option  value="">Select</option>
                <option>4x4</option>
                <option>Sedan</option>
            </select>
            <x-input-error class="mt-2" :messages="$errors->get('category')" />
        </div>

        <div>
            <x-input-label for="summary" :value="__('Summary')" />
            <x-text-input id="summary" name="summary" type="text" class="mt-1 block w-full" :value="old('summary', '')" required autofocus autocomplete="summary" />
            <x-input-error class="mt-2" :messages="$errors->get('summary')" />
        </div>


        <div class="flex items-center gap-4">
            <x-primary-button>{{ __('Save') }}</x-primary-button>

            @if (session('status') === 'profile-updated')
                <p
                    x-data="{ show: true }"
                    x-show="show"
                    x-transition
                    x-init="setTimeout(() => show = false, 2000)"
                    class="text-sm text-gray-600 dark:text-gray-400"
                >{{ __('Saved.') }}</p>
            @endif
        </div>
    </form>
</section>