<section>
    <header>
        <h2 class="text-lg font-medium text-gray-900 dark:text-gray-100">
            {{ __('List Details') }}
        </h2>

        <p class="mt-1 text-sm text-gray-600 dark:text-gray-400">
            {{ __("Update your account's profile information and email address.") }}
        </p>
    </header>

    <form method="post" action="{{ route('listsdtl.store') }}" class="mt-6 space-y-6">
        @csrf


        <div>
            <x-input-label for="list_hdr_id" :value="__('List category')" />
            <x-input-select name="list_hdr_id" id="list_hdr_id" default_label="Select category" :options="$options" />
            <x-input-error class="mt-2" :messages="$errors->get('list_hdr_id')" />
        </div>

        <div>
            <x-input-label for="value" :value="__('List item name')" />
            <x-text-input id="value" name="value" type="text" class="mt-1 block w-full" :value="old('value', '')" required autofocus autocomplete="value" />
            <x-input-error class="mt-2" :messages="$errors->get('value')" />
        </div>

        
        <div class="flex items-center gap-4">
            <x-primary-button>{{ __('Save') }}</x-primary-button>

            @if (session('status') === 'profile-updated')
                <p
                    x-data="{ show: true }"
                    x-show="show"
                    x-transition
                    x-init="setTimeout(() => show = false, 2000)"
                    class="text-sm text-gray-600 dark:text-gray-400"
                >{{ __('Saved.') }}</p>
            @endif
        </div>
  
    </form>
</section>
