<section>
    <header>
        <h2 class="text-lg font-medium text-gray-900 dark:text-gray-100">
            {{ __('Car Details') }}
        </h2>

        <p class="mt-1 text-sm text-gray-600 dark:text-gray-400">
            {{ __("Update your account's profile information and email address.") }}
        </p>
    </header>

    <form method="post" action="{{ route('tours.store') }}" class="mt-6 space-y-6">
        @csrf

        <div>
            <x-input-label for="title" :value="__('Title')" />
            <x-text-input id="title" name="title" type="text" class="mt-1 block w-full" :value="old('title', '')" required autofocus autocomplete="title" />
            <x-input-error class="mt-2" :messages="$errors->get('title')" />
        </div>

        <div>
            <x-input-label for="summary" :value="__('Summary')" />
            <x-text-input id="summary" name="summary" type="text" class="mt-1 block w-full" :value="old('summary', '')" required autofocus autocomplete="summary" />
            <x-input-error class="mt-2" :messages="$errors->get('summary')" />
        </div>


        <div>
            <x-input-label for="category" :value="__('Tour category')" />
        
                <x-input-select name="category" id="category" default_label="Select tour category" :options="$categories"/>
            <x-input-error class="mt-2" :messages="$errors->get('category')" />
        </div>

   
        <div class="flex items-center gap-4">
            <x-primary-button>{{ __('Save') }}</x-primary-button>

            @if (session('status') === 'profile-updated')
                <p
                    x-data="{ show: true }"
                    x-show="show"
                    x-transition
                    x-init="setTimeout(() => show = false, 2000)"
                    class="text-sm text-gray-600 dark:text-gray-400"
                >{{ __('Saved.') }}</p>
            @endif
        </div>
  
    </form>
</section>
