<?php

use App\Http\Controllers\ProfileController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\CarController;
use App\Http\Controllers\TourController;
use App\Http\Controllers\BusinessController;
use App\Http\Controllers\FileController;
use App\Http\Controllers\ImageController;
use App\Http\Controllers\ListHdrController;
use App\Http\Controllers\ListDtlController;
use App\Http\Controllers\TutorialController;
use App\Models\Car;
use Illuminate\Support\Facades\Mail;
use App\Mail\CarOrder;
use App\Http\Controllers\MailController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

// Route::get('/', [TutorialController::class,'index']);
// Route::post('/', [TutorialController::class,'store'])->name('store');
// Route::post('uploads', [TutorialController::class,'uploads'])->name('uploads');

Route::get('/', function () {
    // $business  = Business::first();
    // //dd($business);

   // $recent_cars = Car::paginate(6);
    $top_cars = Car::with('images')->take(6)->orderBy('created_at','desc')->get();

  // dd($top_cars);

     return view('welcome',compact('top_cars'));
});


Route::get('/cars/{car}/details',[CarController::class,'details']);


// Route::get('/listcars',function(){
//   return view('listcars');
// })->name('listcars');

Route::get('/allcars/{class?}',[CarController::class,'allcars']);

// Route::get('order', function () {
//     $data = "We are learning Laravel 10 mail from laravelia.com";

//     Mail::to('ssnyundu@gmail.com')->send(
//         new CarOrder($data)
//     );

//     dd('Mail send successfully.');
// });

Route::post('/order',[MailController::class,'sendMail']);


Route::get('/listours',function(){
 return view('listours');
})->name('listours');


// Route::get('/cars',function(){
//     return view('cars');
// });

// Route::get('/tours',function(){
//     return view('tours');
// });

Route::get('/details',function(){
    return view('details');
});

Route::get('/tour',function(){
    return view('tourdtl');
});


Route::resources([
    'cars' => CarController::class,
    'tours' => TourController::class,
    'business' => BusinessController::class,
    'files' => FileController::class,
    'images' => ImageController::class,
    'lists' => ListHdrController::class,
    'listsdtl' => ListDtlController::class,
]);


Route::get('/dashboard', function () {
    return view('dashboard');
})->middleware(['auth', 'verified'])->name('dashboard');

Route::middleware('auth')->group(function () {
    Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');
    Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
    Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');
});

require __DIR__.'/auth.php';
